
kerio.waw.ui.interfaceEthernetEditor = {
x_m: function(x_n) {
this.x_ga = x_n; var x_2w = this.x_ga + '_';
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);
var x_128 = (x_r.x_3s.x_129 === x_r.x_3s.x_3u);
var x_12a;
if (x_128) {
x_12a = {	x_1f: 'x_79',
x_23: x_x('Settings', 'common'),
x_1e: [
{	x_23: x_x('IP Address:', 'ipAddressGroupEditor'),
x_1j: 'x_12b',
x_5p: true
},
{	x_23: x_x('Mask:', 'common'),
x_1j: 'x_12c',
x_5p: true
},
{	x_23: x_x('Gateway:', 'interfaceEthernetEditor'),
x_1j: 'x_12d',
x_93: 15,
x_b6: {
x_b7: false,
x_nv: 'x_t2'
}
},
{	x_1f: 'x_1q',
x_1j: 'x_12e',
x_1s: x_x('Autodetect gateway from the operating system', 'interfaceEthernetEditor'),

x_9t: function(x_1c, x_1q, x_7d) {
var x_16 = x_1c.x_16;
x_1c.x_84(['x_12d'], x_7d);
} },
kerio.waw.shared.x_az.x_b0('x_12f', {
x_23: x_x('DNS Server:', 'interfaceEthernetEditor'),
x_1j: 'x_12g'
}), {	x_1f: 'x_1q',
x_1j: 'x_12h',
x_1s: x_x('Autodetect DNS server from the operating system', 'interfaceEthernetEditor'),

x_9t: function(x_1c, x_1q, x_7d) {
var x_16 = x_1c.x_16;
x_1c.x_84(['x_12g'], x_7d);
} }
]
};} else {
x_12a = {	x_1f: 'x_79',
x_23: x_x('Settings', 'common'),
x_1l: true,
x_1e: [
{	x_1f: 'x_1q',
x_1j: 'x_12i',
x_1s: x_x('The interface is enabled', 'interfaceEthernetEditor'),

x_9t: function(x_1c, x_ax, x_bg) {
var x_12j = x_1c.x_12k.x_2t();
x_1c.x_84(['x_12l'], !x_bg);
x_1c.x_84(['x_12m'], !(!x_12j && x_bg));
}},
{	x_1f: 'x_1g',
x_b2: '1',
x_1j: 'x_12l',
x_1l: true,
x_31: true,
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'x_12k',
x_1s: x_x('Obtain configuration automatically via DHCP', 'interfaceEthernetEditor'),
x_1o: true,
x_7d: true,

x_9t: function(x_1c, x_ax, x_bg) {
x_1c.x_84(['x_12m'], x_bg);
} },
{	x_1f: 'x_7a',
x_7b: 'x_12k',
x_1s: x_x('Use the following configuration:', 'interfaceEthernetEditor'),
x_1o: false
},
{	x_1f: 'x_1g',
x_1j: 'x_12m',
x_b2: 1,
x_1e: [
{	x_23: x_x('IP Address:', 'ipAddressGroupEditor'),
x_1j: 'x_12b',
x_93: 15,
x_b6: {
x_b7: false,
x_nv: 'x_t2'
}
},
{	x_23: x_x('Mask:', 'common'),
x_1j: 'x_12c',
x_93: 15,
x_b6: {
x_b7: false,
x_nv: 'x_12n'
}
},
{	x_23: x_x('Gateway:', 'interfaceEthernetEditor'),
x_1j: 'x_12d',
x_93: 15,
x_b6: {
x_b7: true, x_nv: 'x_t2'
}
},
kerio.waw.shared.x_az.x_b0('x_12f', {
x_23: x_x('DNS Server:', 'interfaceEthernetEditor'),
x_1j: 'x_12g'
}) ]
}
]
}
]
};}var x_1d = {
x_1e: [
new x_fa.x_11k.x_11v(x_r.x_kh.x_12o),x_12a,new x_fa.x_11k.x_11x(),new x_fa.x_11k.x_11y()]
};var x_1c = new x_1b.x_1t(x_2w + 'x_12p', x_1d);
var x_ja = x_1b.x_a1(
{	x_a2: 515,
en: 500,
cs: 500,
sv: 500,
zh: 500,
nl: 540,
ru: 525
});
var x_10 = {
x_1u: x_ja,
x_l0: x_ja,
x_1v: 580,
x_l1: 580,
x_1w: true,
x_1y: x_x('Interface properties', 'interfaceEthernetEditor'),
x_1x: x_1c,
x_1z: [
{	x_20: true,
x_1j: 'x_22',
x_23: x_x('OK', 'common'),
x_24: {
x_1n: x_x('Saving data…', 'common')
},
x_1m: x_o,

x_25: function() {
this.x_16.x_iy();
} },
{	x_21: true,
x_1j: 'x_ji',
x_23: (x_o) ? x_x('Close', 'common') : x_x('Cancel', 'common')
}
]
};
var x_16 = new x_1b.x_26(this.x_ga, x_10);
this.x_2a(x_16);
var x_q3 = new x_1b.x_q2(x_2w + 'x_q3', [x_1c]);
if (x_o) {
x_q3.x_7f();
}
x_16.x_27(
{	x_n: x_n,
x_o: x_o,
x_q3: x_q3,
x_o5: {},
x_121: x_r.x_12q.x_12r,
x_128: x_128,
x_5d: {}
}
);x_1c.x_27(
{	x_16: x_16,
x_12d: x_1c.x_29('x_12d'),
x_12g: x_1c.x_29('x_12g'),
x_12k: x_1c.x_29('x_12k')
}
);return x_16;
},
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
var
x_7h,
x_47 = x_28.x_47,
x_q3 = this.x_q3,
x_120 = x_47.connectivityParameters;
this.x_5d = x_28.x_5d;
this.x_o5 = x_47;this.x_121 = x_28.x_5d.x_121;
x_fi.x_122(x_q3, this.x_121, x_47.group);
x_7h = {
x_1j: x_47.id,
x_a6: x_47.name,
x_vy: x_47.group,
x_12b: x_47.ip,
x_12c: x_47.subnetMask,
x_12d: x_47.gateway,
x_12g: x_47.dnsServers,
x_124: x_120.downBandwidth,
x_125:  x_120.downBandwidthUnit,
x_126: x_120.failoverRole
};if (this.x_128) {
x_7h.x_12e = x_47.gatewayAutodetected;
x_7h.x_12h = x_47.dnsAutodetected;
} else {
x_7h.x_12i = x_47.enabled;
x_7h.x_12k = x_47.dhcpEnabled;
}
x_q3.x_7k(x_7h);
};
x_2b.x_iy = function() {
var x_7h = this.x_q3.x_7i(true);
var x_o5 = this.x_o5;
var x_11s = {
name: x_7h.x_a6,
group: x_7h.x_vy,
ip: x_7h.x_12b,
subnetMask: x_7h.x_12c,
gateway: x_7h.x_12d,
dnsServers: x_7h.x_12g,
connectivityParameters: {
failoverRole: x_7h.x_126,
downBandwidth: x_7h.x_124,
downBandwidthUnit: x_7h.x_125
}
};
if (this.x_128) {
x_11s.gatewayAutodetected = x_7h.x_12e;
x_11s.dnsAutodetected = x_7h.x_12h;
} else {
x_11s.enabled = x_7h.x_12i;
x_11s.dhcpEnabled = x_7h.x_12k;
}
x_fi.x_iq(x_11s, x_o5);
x_fi.x_127.call(this, {ids: [x_o5.id], details: x_o5});
};
x_2b.x_jk = function(x_6v) {
this.x_24(false);
if (!x_6v.x_6x) {
return;
}
this.x_5d.x_12s(	x_6v.x_ac.result[0]);
this.x_5d.x_6y();
kerio.waw.status.x_14.x_15(true);
this.x_2r();
};
x_2b.x_jo = function() {
this.x_q3.x_2h();
};}};